org.eclipse.jgit.internal.storage.file

## Class PackIndex.MutableEntry

- java.lang.Object
- - org.eclipse.jgit.internal.storage.file.PackIndex.MutableEntry

Enclosing class:
  PackIndex

    public static class PackIndex.MutableEntry
    extends Object

Represent mutable entry of pack index consisting of object id and offset in pack (both mutable).

### Constructor Summary

Constructors
Constructor and Description
`MutableEntry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PackIndex.MutableEntry` `cloneEntry()`
`long` `getOffset()` Returns offset for this index object entry
`String` `name()`
`ObjectId` `toObjectId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MutableEntry

    public MutableEntry()

### Method Detail

#### getOffset

    public long getOffset()

Returns offset for this index object entry

Returns:
  offset of this object in a pack file

#### name

    public String name()

Returns:
  hex string describing the object id of this entry.

#### toObjectId

    public ObjectId toObjectId()

Returns:
  a copy of the object id.

#### cloneEntry

    public PackIndex.MutableEntry cloneEntry()

Returns:
  a complete copy of this entry, that won't modify